import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Professor emp = new Professor();
    emp.setId(1);
    emp.setName("name");
    service.updateProfessor(emp);

    emp = new Professor();
    emp.setId(1);
    emp.setName("name");
    service.updateProfessorIncorrect(emp);
    
    util.checkData("select * from Professor");
    util.checkData("select * from Address");

    
    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}